# Get available reviewers GET https://app.unleash-instance.example.com/api/admin/projects/{projectId}/change-requests/available-reviewers/{environment} **Enterprise feature** This endpoint will list users available to approve a change request in this project. Reference: https://docs.getunleash.io/api/get-available-change-request-reviewers ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: >- This endpoint will return users available to review/approve this change request version: endpoint_changeRequests.getAvailableChangeRequestReviewers paths: /api/admin/projects/{projectId}/change-requests/available-reviewers/{environment}: get: operationId: get-available-change-request-reviewers summary: >- This endpoint will return users available to review/approve this change request description: >- **Enterprise feature** This endpoint will list users available to approve a change request in this project. tags: - - subpackage_changeRequests parameters: - name: projectId in: path required: true schema: type: string - name: environment in: path required: true schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: changeRequestAvailableReviewersSchema content: application/json: schema: $ref: '#/components/schemas/changeRequestAvailableReviewersSchema' components: schemas: changeRequestReviewerSchema: type: object properties: id: type: number format: double description: Id of the user available to review email: type: string description: The email of the approving user username: type: - string - 'null' description: The username of the approving user name: type: - string - 'null' description: The name of the approving user imageUrl: type: - string - 'null' format: uri description: The URL where the user's image can be found. required: - id - email changeRequestAvailableReviewersSchema: type: object properties: reviewers: type: array items: $ref: '#/components/schemas/changeRequestReviewerSchema' description: a list of reviewers required: - reviewers ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/projects/projectId/change-requests/available-reviewers/environment" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/projects/projectId/change-requests/available-reviewers/environment'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/projects/projectId/change-requests/available-reviewers/environment" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/projects/projectId/change-requests/available-reviewers/environment") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/projects/projectId/change-requests/available-reviewers/environment") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/projects/projectId/change-requests/available-reviewers/environment', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/projects/projectId/change-requests/available-reviewers/environment"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/projects/projectId/change-requests/available-reviewers/environment")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```